/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.tm.data;

import benten.core.AbstractBentenPlugin;

/**
 * Benten TM (翻訳メモリ) のための抽象 TMX 形式データ・プラグイン。
 *
 * TMX 形式で格納された TM を Benten に認識させるための抽象クラスです。
 */
public abstract class AbstractBentenTmDataTmxPlugin extends AbstractBentenPlugin {

	/** 共用インスタンス */
	protected static AbstractBentenTmDataTmxPlugin plugin;

	/**
	 * このプラグインの共用インスタンスを取得します。
	 * @return このプラグインの共用インスタンス
	 */
	public static AbstractBentenTmDataTmxPlugin getDefault() {
		return plugin;
	}
}
